> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Rain Card Contracts

> Fetches the caller's Rain deposit-address contracts (consumer or company level) and syncs them into wallet payment methods.

Not available to API keys.

## OpenAPI

````yaml api-reference/openapi.json GET /hris/get-rain-card-contracts
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /hris/get-rain-card-contracts:
    get:
      operationId: getRainCardContracts
      summary: Get Rain Card Contracts
      description: >-
        Fetches the caller's Rain deposit-address contracts (consumer or company
        level) and syncs them into wallet payment methods.


        Not available to API keys.
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetRainCardContractsResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetRainCardContractsResponse:
      type: object
      properties:
        hasRainCard:
          type: boolean
        contracts:
          type: array
          items:
            type: object
            properties:
              contractId:
                type: string
              chainId:
                type: string
              chainName:
                type: string
              depositAddress:
                type: string
              supportedTokens:
                type: array
                items:
                  type: string
              tokens:
                type: array
                items:
                  type: object
                  properties:
                    address:
                      type: string
                    balance:
                      type: string
                    exchangeRate:
                      type: number
                    advanceRate:
                      type: number
                  required:
                    - address
                    - balance
                    - exchangeRate
                    - advanceRate
            required:
              - contractId
              - chainId
              - chainName
              - depositAddress
              - supportedTokens
              - tokens
      required:
        - hasRainCard
        - contracts
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
